#
# spec file for package gmp (Version 4.1.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gmp
BuildRequires:  gcc-c++
License:        GPL, LGPL
Group:          System/Libraries
Autoreqprov:    on
Version:        4.1.4
Release:        20.2
Summary:        The GNU MP Library
URL:            http://www.swox.com/gmp/
Source:         ftp://prep.ai.mit.edu/pub/gnu/gmp/gmp-%{version}.tar.bz2
Patch0:         gmp-%{version}.diff
Patch1:         gmp-%{version}-x86_64.diff
Patch2:         gmp-%{version}-mips.diff
Patch3:         gmp-%{version}-ia64.diff
Patch4:         gmp-%{version}-alias.diff
Patch5:         gmp-%{version}-s390.diff
Patch6:         gmp-%{version}-autoconf.diff
Patch7:         gmp-%{version}-configure.arm-double.diff
Patch8:         gmp-%{version}-gcc4.diff
Patch9:         gmp-%{version}-random2.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library for calculating huge numbers (integer and floating point).



Authors:
--------
    Torbjorn Granlund <tege@zevs.sics.se>

%debug_package
%package devel
Summary:        Include Files and Libraries for Development with the GNU MP Library
Group:          System/Libraries
Requires:       gmp = %{version}
Autoreqprov:    on
PreReq:         %install_info_prereq

%description devel
These libraries are needed to develop programs which calculate with
huge numbers (integer and floating point).



Authors:
--------
    Torbjorn Granlund <tege@zevs.sics.se>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9

%build
export HOME=/tmp/
# %%{?suse_update_config:%%{suse_update_config -f}}
mv config.guess config.guess.gmp
mv config.sub config.sub.gmp
autoreconf -fi
mv config.guess configfsf.guess
mv config.sub configfsf.sub
mv config.guess.gmp config.guess
mv config.sub.gmp config.sub
%ifarch ppc64
# The PowerPC64 assembler funcs are for AIX and somehow don't work on Linux.
rm -fv mpn/powerpc64/*.asm
%endif
CFLAGS="$RPM_OPT_FLAGS -Wall" \
./configure --prefix=/usr \
	    --libdir=%{_libdir} \
            --infodir=%{_infodir} \
            --build=%{_target_platform} \
            --enable-mpbsd \
	    --enable-mpfr \
            --enable-cxx
%ifarch x86_64
cd mpf
make CFLAGS="$RPM_OPT_FLAGS -fno-cse-follow-jumps -Wall" cmp_si.o cmp_si.lo
cd ..
%endif
make CFLAGS="$RPM_OPT_FLAGS -Wall" CC=gcc %{?jobs:-j%jobs}
%ifnarch alpha
make CFLAGS="$RPM_OPT_FLAGS -Wall" CC=gcc check %{?jobs:-j%jobs}
%endif

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/mpfr.info.gz

%postun
%run_ldconfig

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mpfr.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc demos
%doc %{_infodir}/gmp.info*.gz
%doc %{_infodir}/mpfr.info*.gz
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
/usr/include/*

%changelog -n gmp
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - kukuk@suse.de
- Create -devel subpackage
* Tue Oct 11 2005 - meissner@suse.de
- fixed broken random2 code using patch from Richard Guenther.
* Sun Sep 18 2005 - meissner@suse.de
- Fixed implicits.
* Wed Apr 13 2005 - matz@suse.de
- Make it build on i386
* Sat Apr 09 2005 - ro@suse.de
- skip testsuite on alpha
* Wed Feb 16 2005 - mcihar@suse.cz
- update to 4.1.4
* Thu Nov 18 2004 - ro@suse.de
- fixed file list
* Mon Sep 06 2004 - schwab@suse.de
- Use autoreconf.
- Fix read-only section check.
* Tue Aug 10 2004 - tcrhak@suse.cz
- update to 4.1.3
* Tue Mar 02 2004 - tcrhak@suse.cz
- libtoolize, but preserve gmp wrappers for config.sub and config.guess
* Mon Mar 01 2004 - meissner@suse.de
- make work on ppc64 again.
- libtoolize to add .so. suffixes on amd64 and ia64 again.
* Mon Mar 01 2004 - tcrhak@suse.cz
- fixed bug #33857:
  * applied some patches for 4.1.2
  * use gmp's own config.sub (fixes the configure problem)
  * added configure option --enable-cxx
* Fri Feb 27 2004 - ro@suse.de
- try to fix build with regparm changes
* Sat Jan 10 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
* Fri Dec 05 2003 - kukuk@suse.de
- Fix compiling on s390(x)
* Fri Nov 28 2003 - schwab@suse.de
- Workaround gas bug causing invalid unwind information.
- Fix aliasing bug in testsuite.
* Wed Oct 15 2003 - ro@suse.de
- use jobs macro instead of -jsomething
* Wed Oct 15 2003 - adrian@suse.de
- fix build for mips
- build as non-root
* Sun Sep 14 2003 - aj@suse.de
- Enable mpfr library.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 13 2003 - mmj@suse.de
- Add %%install_info macros [#23415]
* Wed Jan 15 2003 - tcrhak@suse.cz
- update to version 4.1.2
* Wed Nov 20 2002 - schwab@suse.de
- Work around automake bugs.
* Wed Sep 25 2002 - uli@suse.de
- x86-64: compile mpf/cmp_si.c with -fno-cse-follow-jumps to work
  around compiler bug
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jun 11 2002 - meissner@suse.de
- Disabled all ppc64 assembler functions for now, reenabled make check.
* Mon Jun 10 2002 - olh@suse.de
- add some basic support for ppc64, disable make check
* Wed May 22 2002 - coolo@suse.de
- adding support for s390x
* Mon May 06 2002 - schwab@suse.de
- Fix last change.
* Mon May 06 2002 - meissner@suse.de
- varargs fixes. You cannot just cast functions pointers between
  non-varargs and varargs functions, this _will_ fail on x86_64.
* Fri Jan 18 2002 - tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Fri Dec 14 2001 - tcrhak@suse.cz
- update to version 4.0
* Wed Aug 01 2001 - dan@suse.cz
- use bzip instead of gzip
* Wed Jun 13 2001 - bk@suse.de
- Add support for s390x and update s390 support
* Mon May 28 2001 - pblaha@suse.cz
- fix include on ia64
* Wed Nov 15 2000 - pblaha@suse.cz
- update to 3.1.1
* Tue Oct 10 2000 - schwab@suse.de
- Fix umul_ppm for ia64.
* Wed Jun 07 2000 - schwab@suse.de
- Recover ia64 support.
- Match "linux*" instead of "linux-gnu*".
* Wed May 31 2000 - smid@suse.cz
- upgrade to 3.0.1
* Mon May 15 2000 - schwab@suse.de
- Add basic support for ia64.
* Fri Apr 14 2000 - smid@suse.cz
- buildroot added
* Fri Apr 07 2000 - bk@suse.de
- added suse config update macro
* Thu Feb 10 2000 - kukuk@suse.de
- Move /usr/info -> /usr/share/info
* Tue Dec 14 1999 - kukuk@suse.de
- Create shared libraries (BUG#1508)
- Build libmp, too
- Add a lot of patches
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - uli@suse.de
- added patch for PPC
* Wed Sep 01 1999 - kukuk@suse.de
- Specfile cleanup
- Run make check
* Thu Jan 02 1997 - florian@suse.de
- update to version 2.0.2
